DimaLepel
@DimaLepel

Почему возникает ошибка при сборке gulp-pug?

Для верстки использую pug. При сборке проекта получаю ошибку:
[00:25:06] Plumber found unhandled error:
 RangeError in plugin "gulp-pug"
Message:
    D:\Work\Web\bhproby\src\pug\mixins.pug:21
    19|
    20| mixin bransItem(brandsCount)
  > 21|   li.brands__item
    22|     img(src=`images/pic--brand-${brandsCount}.jpg`).brands__thumbnail
    23|

Invalid string length

Часть файла gulpfile.js:
function fPug() {
  return src('src/pug/pages/*.pug')
    .pipe(plumber())
    .pipe(pug({
      pretty: true
    }))
    .pipe(dest('build'))
    .pipe(browserSync.stream());
}

Часть package.json:
"devDependencies": {
    "@htmlacademy/editorconfig-cli": "1.x",
    "browser-sync": "^2.26.14",
    "del": "^6.0.0",
    "eslint": "^7.24.0",
    "eslint-config-htmlacademy": "^3.0.0",
    "gulp": "^4.0.2",
    "gulp-autoprefixer": "^7.0.1",
    "gulp-concat": "^2.6.1",
    "gulp-imagemin": "^7.1.0",
    "gulp-newer": "^1.4.0",
    "gulp-plumber": "^1.2.1",
    "gulp-pug": "^4.0.1",
    "gulp-sass": "^4.1.0",
    "gulp-sourcemaps": "^3.0.0",
    "gulp-svg-sprite": "^1.5.0",
    "gulp-ttf2woff": "^1.1.1",
    "gulp-ttf2woff2": "^4.0.1",
    "gulp-uglify-es": "^2.0.0",
    "stylelint": "^13.12.0",
    "stylelint-config-htmlacademy": "^0.1.4"
  },

На просторах забугорного и русского интернета решения не нашел. Может кто сталкивался?
  • Вопрос задан
  • 44 просмотра
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы